lkml.org 
[lkml]   [2010]   [May]   [10]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH 9/9] perf/trace/scripting: syscall-counts script cleanup
Date
 A small fix for the syscall counts script:

- silence the match output in the shell script

Signed-off-by: Tom Zanussi <tzanussi@gmail.com>
---
.../perf/scripts/python/bin/syscall-counts-report | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tools/perf/scripts/python/bin/syscall-counts-report b/tools/perf/scripts/python/bin/syscall-counts-report
index 8c21552..dc076b6 100644
--- a/tools/perf/scripts/python/bin/syscall-counts-report
+++ b/tools/perf/scripts/python/bin/syscall-counts-report
@@ -2,7 +2,7 @@
# description: system-wide syscall counts
# args: [comm]
if [ $# -gt 0 ] ; then
- if ! expr match "$1" "-" ; then
+ if ! expr match "$1" "-" > /dev/null ; then
comm=$1
shift
fi
--
1.6.4.GIT


\
 
 \ /
  Last update: 2010-05-10 06:49    [W:0.104 / U:0.360 seconds]
©2003-2014 Jasper Spaans. Advertise on this site